%define module 	XML-Simple
%define	name	perl-%{module}
%define version 2.18
%define release %mkrel 1

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:	Easy API to maintain XML (esp config files)
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source:     http://www.cpan.org/modules/by-module/XML/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildrequires:	perl(XML::SAX)
BuildArch:  	noarch
BuildRoot:  	%{_tmppath}/%{name}-%{version}

%description
XML::Simple is a trivial perl API to manipulate XML.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/XML
%{_mandir}/*/*


%changelog
* Thu Aug 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.18-1mdv2008.0
+ Revision: 64640
- new version

* Mon Aug 06 2007 Funda Wang <fundawang@mandriva.org> 2.17-1mdv2008.0
+ Revision: 59416
- New version 2.17


* Thu Dec 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.16-1mdv2007.0
+ Revision: 96784
- new version
- Import perl-XML-Simple

* Fri Feb 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.14-1mdk
- 2.14

* Wed Nov 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.13-1mdk
- 2.13

* Sat Apr 24 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.12-1mdk
- 2.12

